<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body no-padding-left no-padding-right">
                                <input #searchField [(ngModel)]="searchBy" [debounce]="300" (onDebounce)="search()"
                                       class="form-control "
                                       placeholder="Pesquisar por nome ou descrição da tabela"/>
                            </div>
                            <data-table #dataTableComponent
                                        [selectable]="true"
                                        [total]="data.count"
                                        [data]="data.results"
                                        [paginated]="true"
                                        keyEvents="true"
                                        (onPaginate)="onPaginate($event)">
                                <column header="Nome" field="table_name"></column>
                                <column header="Descrição" field="table_description"></column>
                                <column useTemplate="true">
                                    <ng-template let-table="data">
                                        <div class="btn-group btn-table-group">
                                            <button (click)="createTable(table.id)"
                                                    class="btn btn-sm btn-success btn-rounded">
                                                <i class="fa fa-table"></i> Criar Tabela
                                            </button>
                                            <button (click)="dropTable(table.id)"
                                                    class="btn btn-sm btn-dark-danger btn-rounded">
                                                <i class="fa fa-trash-alt"></i> Apagar Tabela
                                            </button>
                                            <button (click)="editTable(table.id)"
                                                    class="btn btn-sm btn-dark-info btn-rounded">
                                                <i class="fa fa-edit"></i> Editar
                                            </button>
                                            <button (click)="deleteTable(table.id)"
                                                    class="btn btn-sm btn-dark-danger btn-rounded">
                                                <i class="fa fa-trash"></i> Excluir
                                            </button>
                                        </div>
                                    </ng-template>
                                </column>
                                <buttons-right>
                                    <div class="row">
                                        <div class="col-6 offset-6">
                                            <button (click)="newTable()" class="btn btn-block btn-primary">
                                                <i class="fa fa-plus"></i>
                                                Nova Tabela
                                            </button>
                                        </div>
                                    </div>
                                </buttons-right>
                            </data-table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
